Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IBayerSharpnessMapSettings Class Reference
Request | Ext::BayerSharpnessMap

Interface to Bayer sharpness map settings. More...

`#include <BayerSharpnessMap.h>`

Inheritance diagram for Argus::Ext::IBayerSharpnessMapSettings:

List of all members.

## Public Member Functions
virtual void | setBayerSharpnessMapEnable (bool enable)=0
| Enables or disables Bayer sharpness map generation.
virtual bool | getBayerSharpnessMapEnable () const =0
| Returns True if sharpness map generation is enabled.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IBayerSharpnessMapSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to Bayer sharpness map settings.

Definition at line 65 of file BayerSharpnessMap.h.

## Constructor & Destructor Documentation

Argus::Ext::IBayerSharpnessMapSettings::~IBayerSharpnessMapSettings | ( |  | ) |
| inline protected

Definition at line 83 of file BayerSharpnessMap.h.

## Member Function Documentation

virtual bool Argus::Ext::IBayerSharpnessMapSettings::getBayerSharpnessMapEnable | ( |  | ) | const
| pure virtual

Returns True if sharpness map generation is enabled.

static const InterfaceID& Argus::Ext::IBayerSharpnessMapSettings::id | ( |  | ) |
| inline static

Definition at line 68 of file BayerSharpnessMap.h.

virtual void Argus::Ext::IBayerSharpnessMapSettings::setBayerSharpnessMapEnable | ( | bool | enable | ) |
| pure virtual

Enables or disables Bayer sharpness map generation.

When enabled, CaptureMetadata returned by completed captures expose the IBayerSharpnessMap interface.

Parameters:

  [in] | enable | If True, Bayer sharpness map generation is enabled.

The documentation for this class was generated from the following file:

- include/Argus/Ext/BayerSharpnessMap.h